Related Articles
NX CAE - Customized Application Using NX Open
Hi, Please find the youtube video link below which demonstrate this application. http://www.youtube.com/watch?v=3I0fKw2QbWE&feature=youtu.be Please check on the attached data if you are interested to use the customed app in this video. Cheers, Tuw
CAE Automation on PCB Component Made Possible using NX Open
Hi, Please find attached youtube link to demonstrate this application. http://youtu.be/Z9B8iOF_-wI Cheers, Tuw
Sample NX Open Java routine : select an edge
public static TaggedObject selectAnEdge(String prompt) throws NXException, java.rmi.RemoteException { UI theUI = (UI) SessionFactory.get("UI"); Selection.MaskTriple mask[] = { new Selection.MaskTriple( UFConstants.UF_solid_type, 0, ...
Sample NX Open .NET C# routine : select a feature
public static NXOpen.Features.Feature select_a_feature(string prompt) { Selection.SelectionType[] feats = { Selection.SelectionType.Features }; TaggedObject theTO; Point3d cursor; Selection.Response resp = ...
Sample NX Open .NET Visual Basic routine : select a component
Imports System Imports NXOpen Imports NXOpen.Assemblies Imports NXOpenUI Imports NXOpen.UF Function select_a_component(ByRef obj As Component) As Selection.Response Dim ui As UI = UI.GetUI() Dim mask(0) As Selection.MaskTriple With mask(0) .Type = ...